Subject: Fwd: [Technical Errata Reported] RFC2616 (3056)

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 20 Dec 2011 16:54:59 -0700

FYI.

-------- Original Message --------
Subject: [Technical Errata Reported] RFC2616 (3056)
Date: Tue, 20 Dec 2011 15:52:18 -0800 (PST)
From: RFC Errata System <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked],
[email-masked], [email-masked], [email-masked],
[email-masked], [email-masked]
CC: [email-masked], [email-masked]

The following errata report has been submitted for RFC2616,
"Hypertext Transfer Protocol -- HTTP/1.1".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=2616&eid=3056

--------------------------------------
Type: Technical
Reported by: Julien Moutinho <[email-masked]>

Section: 5.1.2

Original Text
-------------
Request-URI    = "*" | absoluteURI | abs_path | authority

Corrected Text
--------------
Request-URI    = "*" | absoluteURI | abs_path [ "?" query ] | authority

Notes
-----
so that "/path?query" is a valid Request-URI as it should.

because it is not the case with RFC 3986
(obsoleting RFC 2396 which has the same problem actually):

absoluteURI   = absolute-URI
abs_path      = path-absolute

absolute-URI  = scheme ":" hier-part [ "?" query ]
path-absolute = "/" [ segment-nz *( "/" segment ) ]
segment-nz    = 1*pchar
segment       = *pchar
pchar         = unreserved / pct-encoded / sub-delims / ":" / "@"
unreserved    = ALPHA / DIGIT / "-" / "." / "_" / "~"
pct-encoded   = "%" HEXDIG HEXDIG
sub-delims    = "!" / "$" / "&" / "'" / "(" / ")" / "*" / "+" / "," /
";" / "="

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary.

--------------------------------------
RFC2616 (draft-ietf-http-v11-spec-rev-06)
--------------------------------------
Title               : Hypertext Transfer Protocol -- HTTP/1.1
Publication Date    : June 1999
Author(s)           : R. Fielding, J. Gettys, J. Mogul, H. Frystyk, L.
Masinter, P. Leach, T. Berners-Lee
Category            : DRAFT STANDARD
Source              : HyperText Transfer Protocol
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Julian Reschke <[email-masked]>
Date: Wed, 21 Dec 2011 10:16:41 +0100

On 2011-12-21 00:54, Peter Saint-Andre wrote:
> ...

HTTP has used other methods for issue tracking, see 
<http://www.rfc-editor.org/errata_search.php?rfc=2616&eid=412>.

The bug mentioned above was fixed in HTTPbis exactly four years ago (to 
the day!): <http://trac.tools.ietf.org/wg/httpbis/trac/changeset/76>

Best regards, Julian

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 21 Dec 2011 08:58:25 -0700

> the day!): <http://trac.tools.ietf.org/wg/httpbis/trac/changeset/76>

Thanks, Julian. I will reject this, with a pointer to the new specs.

Peter